Retrieve Configuration status

Returns config status of the cart associated with a given cart ID.
Note: Use either primaryLineNumbers or lineNumbers to filter your API responses.
If you specify both, the API fetches results according to the primaryLineNumbers parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the cart

Query Params
primaryLineNumbers
array of int32s

Specify the primary line numbers to be returned in the response.
Otherwise, the API returns last added/updated lineitems. See below to specify multiple primary line numbers.
GET ../api/cart/v1/carts/{cartId}/configstatus?primaryLineNumbers=1,2,3

primaryLineNumbers
lineNumbers
array of int32s

Specify the line numbers to be returned in the response.
Otherwise, the API returns last added/updated lineitems. See below to specify multiple line numbers.
GET ../api/cart/v1/carts/{cartId}/configstatus?lineNumbers=1,2,3

lineNumbers
filter
array of strings

Add conditional filters in standard URI format to narrow the search result.

filter
includes
array of strings

A list of related objects to include in search results. Related objects for inclusion can be: line-items

includes
int32
Defaults to 1

Enter the page number of the line. For example, if there are 500 lines in the cart and page size is 25, then a page number can vary from 1 to 20.

int32
Defaults to 50

Enter the number of objects to be retrieved.

Responses
200

OK

500

Internal Server Error

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json